

		.include "nios_macros.s"
		.text

;----------------------------------------
;         Name: nr_copyrange
;  Description: Copy a range of memory
;        Input: %o0 = source, %o1 = destination, %o2 = destination_end
;       Output: none
; Side Effects: %g0, %g1, & %g2, destroys %o0, %o1, %o2
;    CWP Depth: 0
;
; Note: source & dest & dest_end must be aligned, else
; it spins forever.
;

	.global	nr_copyrange
nr_copyrange:
	CMP	%o1,%o2
	IFS	cc_eq
	 JMP	%o7
	
	LD	%g0,[%o0]	; (branch delay slot)
	ST	[%o1],%g0
.ifdef __nios32__
	ADDI	%o0,4
	BR	nr_copyrange
	ADDI	%o1,4		; (branch delay slot)
.else
	ADDI	%o0,2
	BR	nr_copyrange
	ADDI	%o1,2	; (branch delay slot)
.endif
	
